# ember-cli-deploy-lambda

This plugin builds out and deploys an AWS Lambda function for serving `index.html`, presumably as an API Gateway integration.  The Lambda function also acts as a middleware layer, e.g. for handling redirects, 404s, etc.

## Usage

* This plugin expects an instance of [route-recognizer](tildeio/route-recognizer) to be exported by `router.js` within a top-level `server` directory in the application.
* In the `didBuild` hook of the `ember-cli-deploy` pipeline, the AWS Lambda function package is created.  Its directory is specified by the `lambda-dist-dir` configuration option, defaulting to `lambda-dist-dir`.
* Any code in `server` This package will copy the application's `server` directory for handling any middleware aspects of serving, as well as the built `index.html` to serve.


## Installation

* `git clone` this repository
* `npm install`
* `bower install`

## Running

* `ember server`
* Visit your app at http://localhost:4200.

## Running Tests

* `npm test` (Runs `ember try:testall` to test your addon against multiple Ember versions)
* `ember test`
* `ember test --server`

## Building

* `ember build`

For more information on using ember-cli, visit [http://www.ember-cli.com/](http://www.ember-cli.com/).
